Hooks:PostHook(BlackMarketTweakData, "_init_projectiles", "Nomad_init_projectiles", function (self)
    local injectors = {
        {
            name_id = "nomad_luck",
            base_cooldown = 120,
            max_amount = 1,
        },
    }

    for i, injector in ipairs(injectors) do
        self.projectiles[injector.name_id] = {
            name_id = "bm_talent_"..injector.name_id.."",
            desc_id = "bm_talent_"..injector.name_id.."_desc",
            ignore_statistics = true,
            icon = injector.icon or injector.name_id,
            ability = injector.name_id,
            texture_bundle_folder = "nomad",
            base_cooldown = injector.base_cooldown,
            max_amount = injector.max_amount,
            custom = true,
            sounds = {
                cooldown = "perkdeck_cooldown_over"
            }
        }
    end

end)