Hooks:PostHook(UpgradesTweakData, "init", "Nomad_UpgradesTweakData_init", function(self)
	self:common_add_throwableS("nomad_luck", 0.1)
	self.values.player.first_wave_legacy = {
		1.5
	}
	self.values.player.first_wave_legacy_damage_reduction = {
		0.90,
		0.75,
		0.60
	}
	self.values.player.nomad_kill_to_heal = {
		0.03,
		0.06
	}
	self.values.player.nomad_resolve = {
		0.02
	}

end)

function UpgradesTweakData:common_add_throwableS(name_id, duration)
	self.definitions[name_id] = {
		category = "grenade"
	}
	
	self.values.temporary[name_id] = {
		{
			duration,
		}
	}
end

Hooks:PostHook(UpgradesTweakData, "_player_definitions", "Nomad_UpgradesTweakData_definitions", function(self)
	self.definitions.player_first_wave_legacy = {
		name_id = "menu_player_first_wave_legacy",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "first_wave_legacy",
			category = "player"
		}
	}
	self.definitions.player_first_wave_legacy_damage_reduction_1 = {
		name_id = "menu_player_first_wave_legacy_damage_reduction_1",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "first_wave_legacy_damage_reduction",
			category = "player"
		}
	}
	self.definitions.player_first_wave_legacy_damage_reduction_2 = {
		name_id = "menu_player_first_wave_legacy_damage_reduction_2",
		category = "feature",
		upgrade = {
			value = 2,
			upgrade = "first_wave_legacy_damage_reduction",
			category = "player"
		}
	}
	self.definitions.player_first_wave_legacy_damage_reduction_3 = {
		name_id = "menu_player_first_wave_legacy_damage_reduction_3",
		category = "feature",
		upgrade = {
			value = 3,
			upgrade = "first_wave_legacy_damage_reduction",
			category = "player"
		}
	}
	self.definitions.player_nomad_kill_to_heal_1 = {
		name_id = "menu_player_nomad_kill_to_heal_1",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "nomad_kill_to_heal",
			category = "player"
		}
	}
	self.definitions.player_nomad_kill_to_heal_2 = {
		name_id = "menu_player_nomad_kill_to_heal_2",
		category = "feature",
		upgrade = {
			value = 2,
			upgrade = "nomad_kill_to_heal",
			category = "player"
		}
	}
	self.definitions.player_nomad_resolve = {
		name_id = "menu_player_nomad_resolve",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "nomad_resolve",
			category = "player"
		}
	}
end)